function chret = ClearHandles(hcb);
% ch = ClearHandles(hcb): Clears the vectors assoicated with handle hcb
handles = get(hcb,'UserData');
if ~isempty(handles)    % Delete the current objects
    % Delete each handle separately
    for i = 1:length(handles.HVec), try delete(handles.HVec(i)); end; end
    for i = 1:length(handles.HErr), try delete(handles.HErr(i)); end; end
    for i = 1:length(handles.Harr), try delete(handles.Harr(i)); end; end
    for i = 1:length(handles.VVec), try delete(handles.VVec(i)); end; end
    for i = 1:length(handles.VErr), try delete(handles.VErr(i)); end; end
    for i = 1:length(handles.Names), try delete(handles.Names(i)); end; end
end
chret = [];

