function [pt,button] = GetProfPut(profxy)
% pt = GetProfPut(profstr): Returns number of point selected by user.
% pt = 0 if no point

[x,y,button] = ginput(1);
% Find out which points these are
xlim = get(gca,'Xlim'); ylim = get(gca,'Ylim');
tolx = (xlim(2)-xlim(1))/100; toly = (ylim(2)-ylim(1))/50;
ch = get(gca,'Children');
% The plotted data are first thing plotted and thus the oldest child
nch = length(ch); plotd = get(ch(nch),'YData');
%
nd = length(profxy(:,1));
pt = [];
for i = 1:nd
    if abs(profxy(i,1)-x) < tolx  
        ptx = i; pty = 0; 
        if abs(plotd(i)-y) < toly 
            pty = i;
        end
        if pty > 0, pt = [pt ptx]; end
    end
end

                
            
